Specifies the target endian for endian-agnostic architectures.

```lua
endian "value"
```

### Parameters ###

`value` specifies the desired endian:

| Value       | Description                                                       |
|-------------|-------------------------------------------------------------------|
| Default     | Use the toolset's default endian.                                 |
| Little      | Specify little-endian.                                            |
| Big         | Specify big-endian.                                               |

### Applies To ###

Project configurations.

### Availability ###

Premake 5.0 or later.

### See Also ###

* [architecture](architecture.md)
